Last Comment Bug 559834 - Remove support for table@align=abscenter/absmiddle/middle
: Remove support for table@align=abscenter/absmiddle/middle
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla2.0b1
Assigned To: :Ms2ger (⌚ UTC+1/+2)
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-16 07:54 PDT by :Ms2ger (⌚ UTC+1/+2)
Modified: 2012-01-26 05:05 PST (History)
6 users (show)
Ms2ger: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (4.28 KB, patch)
2010-04-16 07:54 PDT, :Ms2ger (⌚ UTC+1/+2)
no flags Details | Diff | Splinter Review
Testcase (233 bytes, text/html)
2010-04-18 08:07 PDT, :Ms2ger (⌚ UTC+1/+2)
no flags Details
Patch v2 (merged to tip) (4.30 KB, patch)
2010-04-28 12:30 PDT, :Ms2ger (⌚ UTC+1/+2)
jst: review+
Details | Diff | Splinter Review
Patch v3 (without test) (2.89 KB, patch)
2010-05-07 09:40 PDT, :Ms2ger (⌚ UTC+1/+2)
no flags Details | Diff | Splinter Review

Description User image :Ms2ger (⌚ UTC+1/+2) 2010-04-16 07:54:45 PDT
Created attachment 439534 [details] [diff] [review]
Patch v1

No other browser supports those values, and we only support them in quirks mode, so this should be fine to remove.
Comment 1 User image Olli Pettay [:smaug] (review request backlog because of a work week) 2010-04-16 08:15:32 PDT
I've used some of those values, so
I'm not 100% sure whether we should remove them.

Jonas, Boris, David, any comments?
Comment 2 User image :Ms2ger (⌚ UTC+1/+2) 2010-04-16 08:32:44 PDT
I'm wondering, did you use them on table, or on tr/td/th?
Comment 3 User image Boris Zbarsky [:bz] (still a bit busy) 2010-04-16 19:21:38 PDT
The current HTML5 draft seems to say that these attributes should in fact do something.  See http://www.whatwg.org/specs/web-apps/current-work/multipage/rendering.html#alignment this part of the stylesheet:

  table[align=center], table[align=abscenter],
  table[align=absmiddle], table[align=middle] { /* case-insensitive */
    margin-left: auto; margin-right: auto;
  }

Are you sure no other browser supports these values?  If so, how did they end up in HTML5?
Comment 4 User image Olli Pettay [:smaug] (review request backlog because of a work week) 2010-04-18 06:48:13 PDT
Comment on attachment 439534 [details] [diff] [review]
Patch v1

Based on http://www.whatwg.org/specs/web-apps/current-work/multipage/rendering.html#alignment clearing the review request.
Comment 5 User image :Ms2ger (⌚ UTC+1/+2) 2010-04-18 08:07:35 PDT
Created attachment 439776 [details]
Testcase

(In reply to comment #3)
> The current HTML5 draft seems to say that these attributes should in fact do
> something.  See
> http://www.whatwg.org/specs/web-apps/current-work/multipage/rendering.html#alignment
> this part of the stylesheet:
> 
>   table[align=center], table[align=abscenter],
>   table[align=absmiddle], table[align=middle] { /* case-insensitive */
>     margin-left: auto; margin-right: auto;
>   }
> 
> Are you sure no other browser supports these values?

Based on this testcase, Chrome, Opera and IE8 don't support them.

> If so, how did they end up in HTML5?

Not sure. I filed a bug to have them removed from HTML5, but Hixie didn't want to drop them before we did, and that's why I filed this bug.
<http://www.w3.org/Bugs/Public/show_bug.cgi?id=9442>
Comment 6 User image :Ms2ger (⌚ UTC+1/+2) 2010-04-28 12:30:54 PDT
Created attachment 442147 [details] [diff] [review]
Patch v2 (merged to tip)

Patch didn't apply anymore...
Comment 7 User image Jonas Sicking (:sicking) No longer reading bugmail consistently 2010-04-28 13:47:24 PDT
If we're the only ones that support them, then I say lets just nuke them. Should be easy to get the spec changed if the only browser that supports them has removed support on trunk. Hixie has in the past wanted browsers to take the first step and has then let the spec follow.
Comment 8 User image David Baron :dbaron: ⌚️UTC-8 2010-04-28 14:36:01 PDT
Yes, I'm definitely for removing these if no other browser supports them.
Comment 9 User image Jonas Sicking (:sicking) No longer reading bugmail consistently 2010-04-28 14:39:10 PDT
For what it's worth. I'm not sure it's worth having tests for *not* supporting a feature.
Comment 10 User image Johnny Stenback (:jst, jst@mozilla.com) 2010-05-06 18:24:12 PDT
Comment on attachment 442147 [details] [diff] [review]
Patch v2 (merged to tip)

Stealing review from bz. And yeah, I'd say leave the tests out (in this rare case!).
Comment 11 User image :Ms2ger (⌚ UTC+1/+2) 2010-05-07 09:40:38 PDT
Created attachment 444110 [details] [diff] [review]
Patch v3 (without test)

Sure. Thanks for the review.
Comment 12 User image Dão Gottwald [:dao] 2010-06-11 23:04:57 PDT
http://hg.mozilla.org/mozilla-central/rev/e824d25382f7
Comment 13 User image j.j. 2012-01-01 14:08:54 PST
http://www.whatwg.org/specs/web-apps/current-work/multipage/rendering.html#tables

This is not yet removed from the spec
Comment 14 User image :Ms2ger (⌚ UTC+1/+2) 2012-01-01 14:12:06 PST
Thanks for the reminder, I've reopened the spec bug.
Comment 15 User image :Ms2ger (⌚ UTC+1/+2) 2012-01-26 05:05:34 PST
And it has been fixed.

Note You need to log in before you can comment on or make changes to this bug.